pctx0
from pctx0 import Pctx0Client
client = Pctx0Client(
access_key="YOUR_ACCESS_KEY",
workspace_id="YOUR_WORKSPACE_ID",
)
session = client.session.get("AGENT_ID", "SESSION_ID")import { Nctx0Client } from "@actx0/nctx0";
const client = new Nctx0Client({
accessKey: "YOUR_ACCESS_KEY",
workspaceId: "YOUR_WORKSPACE_ID",
});
const session = await client.session.get("AGENT_ID", "SESSION_ID");
package main
import (
"context"
"github.com/Actx0/Gctx0"
)
func main() {
client := gctx0.NewClient(
gctx0.WithAccessKey("YOUR_ACCESS_KEY"),
gctx0.WithWorkspaceId("YOUR_WORKSPACE_ID"),
)
defer client.Close()
ctx := context.Background()
session, err := client.Session.Get(ctx, "AGENT_ID", "SESSION_ID")
_ = session
_ = err
}
curl -X GET 'https://app.actx0.com/api/v1/workspaces/<workspaceId>/agents/<agentId>/sessions/<sessionId>' \
-H "X-Access-Key: YOUR_ACCESS_KEY" \
-H "Accept: application/json"
# ---
# acli
export ACTX0_ACCESS_KEY="YOUR_ACCESS_KEY"
export ACTX0_WORKSPACE_ID="YOUR_WORKSPACE_ID"
acli session get --agent-id AGENT_ID --session-id SESSION_ID
{
"id": "33333333-3333-3333-3333-333333333333",
"externalId": "ticket-4821",
"workspaceId": "11111111-1111-1111-1111-111111111111",
"agentId": "22222222-2222-2222-2222-222222222222",
"status": "active",
"createdAt": "2026-07-01T12:00:00Z",
"updatedAt": "2026-07-01T12:00:00Z",
"title": "Ticket #4821",
"labels": {
"userId": "alice",
"channel": "web"
},
"meta": "<unknown>",
"lastActivityAt": "2026-07-01T12:00:00Z"
}{
"errorMessage": "Name is required"
}{
"errorMessage": "Name is required"
}{
"errorMessage": "Name is required"
}{
"errorMessage": "Name is required"
}Sessions
Get Session
Fetch a session by internal session UUID.
GET
/
workspaces
/
{workspaceId}
/
agents
/
{agentId}
/
sessions
/
{sessionId}
pctx0
from pctx0 import Pctx0Client
client = Pctx0Client(
access_key="YOUR_ACCESS_KEY",
workspace_id="YOUR_WORKSPACE_ID",
)
session = client.session.get("AGENT_ID", "SESSION_ID")import { Nctx0Client } from "@actx0/nctx0";
const client = new Nctx0Client({
accessKey: "YOUR_ACCESS_KEY",
workspaceId: "YOUR_WORKSPACE_ID",
});
const session = await client.session.get("AGENT_ID", "SESSION_ID");
package main
import (
"context"
"github.com/Actx0/Gctx0"
)
func main() {
client := gctx0.NewClient(
gctx0.WithAccessKey("YOUR_ACCESS_KEY"),
gctx0.WithWorkspaceId("YOUR_WORKSPACE_ID"),
)
defer client.Close()
ctx := context.Background()
session, err := client.Session.Get(ctx, "AGENT_ID", "SESSION_ID")
_ = session
_ = err
}
curl -X GET 'https://app.actx0.com/api/v1/workspaces/<workspaceId>/agents/<agentId>/sessions/<sessionId>' \
-H "X-Access-Key: YOUR_ACCESS_KEY" \
-H "Accept: application/json"
# ---
# acli
export ACTX0_ACCESS_KEY="YOUR_ACCESS_KEY"
export ACTX0_WORKSPACE_ID="YOUR_WORKSPACE_ID"
acli session get --agent-id AGENT_ID --session-id SESSION_ID
{
"id": "33333333-3333-3333-3333-333333333333",
"externalId": "ticket-4821",
"workspaceId": "11111111-1111-1111-1111-111111111111",
"agentId": "22222222-2222-2222-2222-222222222222",
"status": "active",
"createdAt": "2026-07-01T12:00:00Z",
"updatedAt": "2026-07-01T12:00:00Z",
"title": "Ticket #4821",
"labels": {
"userId": "alice",
"channel": "web"
},
"meta": "<unknown>",
"lastActivityAt": "2026-07-01T12:00:00Z"
}{
"errorMessage": "Name is required"
}{
"errorMessage": "Name is required"
}{
"errorMessage": "Name is required"
}{
"errorMessage": "Name is required"
}Authorizations
AccessKeyAuthApiKeyAuth
Workspace access key for agent/runtime integrations.
Path Parameters
Internal session UUID (not externalId).
Response
OK
Internal session UUID used in message and memory paths.
Example:
"33333333-3333-3333-3333-333333333333"
Client-facing session id from the id query param (or generated).
Example:
"ticket-4821"
Example:
"11111111-1111-1111-1111-111111111111"
Example:
"22222222-2222-2222-2222-222222222222"
Example:
"active"
Example:
"2026-07-01T12:00:00Z"
Example:
"2026-07-01T12:00:00Z"
Example:
"Ticket #4821"
Show child attributes
Show child attributes
Example:
{ "userId": "alice", "channel": "web" }
Example:
"2026-07-01T12:00:00Z"
Was this page helpful?
